# $Revision: 1.26 $, $Date: 2009/01/03 16:07:56 $
Summary:	A graphical interface for configuring printers
Summary(pl.UTF-8):	Graficzny interfejs do zarządzania drukarkami
Name:		system-config-printer
Version:	1.1.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://cyberelk.net/tim/data/system-config-printer/1.1/%{name}-%{version}.tar.bz2
# Source0-md5:	95ad721f3d274557144ddcf5e458a9e4
URL:		http://cyberelk.net/tim/software/system-config-printer/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	xmlto
%pyrequires_eq	python-libs
Requires:	python-PyXML
Requires:	python-pycups >= 1.9.28
Requires:	python-pynotify
Obsoletes:	eggcups
Obsoletes:	gnome-cups-manager < 0.34
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of the tool is to configure a CUPS server (often the local
machine) using the CUPS API. The tool is written in Python, using
pygtk for the graphical parts and with some Python bindings (pycups)
for the CUPS API.

%description -l pl.UTF-8
To narzędzie służy do konfigurowania serwera CUPS (zwykle na maszynie
lokalnej) przy użyciu API CUPS-a. Narzędzie jest napisane w Pythonie z
użyciem pygtk do części graficznych i dowiązań Pythona (pycups) do API
CUPS-a.

%prep
%setup -q

sed -i -e s#sr\@Latn#sr\@latin# configure.in

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/system-config-printer
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/system-config-printer
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/cupshelpers
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/cupshelpers
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/my-default-printer
%attr(755,root,root) %{_bindir}/system-config-printer
%attr(755,root,root) %{_bindir}/system-config-printer-applet
%{_sysconfdir}/xdg/autostart/*.desktop
/etc/dbus-1/system.d/newprinternotification.conf
%dir %{_datadir}/system-config-printer
%dir %{_datadir}/system-config-printer/glade
%{_datadir}/system-config-printer/glade/*.glade
%attr(755,root,root) %{_datadir}/system-config-printer/*.py*
%dir %{_datadir}/system-config-printer/troubleshoot
%attr(755,root,root) %{_datadir}/system-config-printer/troubleshoot/*.py*
%dir %{_datadir}/system-config-printer/icons
%{_datadir}/system-config-printer/icons/i-network-printer.png
%{_mandir}/man*/*
%{_desktopdir}/*.desktop
%{py_sitescriptdir}/cupshelpers-1.0-py*.egg-info
%dir %{py_sitescriptdir}/cupshelpers
%{py_sitescriptdir}/cupshelpers/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: system-config-printer.spec,v $
Revision 1.26  2009/01/03 16:07:56  rotom
- lost dir added

Revision 1.25  2009/01/03 16:01:52  rotom
- up to 1.1.1

Revision 1.24  2008/12/01 17:43:39  paszczus
- updated to 1.0.12

Revision 1.23  2008/11/21 22:07:05  rotom
- up to 1.0.11

Revision 1.22  2008/10/23 15:46:41  qboosh
- py_postclean usage (pythondirs are always scanned)

Revision 1.21  2008/10/23 15:10:35  patrys
- 1.0.9

Revision 1.20  2008/10/20 17:28:26  qboosh
- reordered files

Revision 1.19  2008/10/18 18:13:48  paszczus
- updated to 0.9.93

Revision 1.18  2008-03-17 18:54:25  qboosh
- unified order

Revision 1.17  2008-03-17 11:48:58  patrys
- use gksu
- fix binary path in desktop
- rel 2

Revision 1.16  2008-03-16 21:46:39  patrys
- 0.7.82

Revision 1.15  2007-12-28 01:30:42  zbyniu
- up to 0.7.78

Revision 1.14  2007-11-10 16:51:07  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.13  2007/10/23 22:11:31  patrys
- 0.7.76

Revision 1.12  2007/05/28 10:30:12  patrys
- more R:

Revision 1.11  2007/05/25 22:41:46  qboosh
- pl

Revision 1.10  2007/05/25 21:55:12  wolvverine
- add BR

Revision 1.9  2007/05/25 20:17:16  wolvverine
- add BR

Revision 1.8  2007/05/24 13:26:21  patrys
- R: pynotify

Revision 1.7  2007/05/24 13:21:13  patrys
- require newer pycups

Revision 1.6  2007/05/24 11:33:03  patrys
- works

Revision 1.5  2007/05/23 19:21:04  patrys
- R: pycups

Revision 1.4  2007/05/23 19:20:38  patrys
- desc and summary (pl desc missing)

Revision 1.3  2007/05/23 19:18:42  patrys
- almost works

Revision 1.2  2007/05/23 19:12:22  patrys
- fixed deps
- TODO: descriptions

Revision 1.1  2007/05/23 19:10:32  patrys
- initial PLD release
